%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             log4j-jboss-logmanager
Version:          1.1.0
Release:          1%{dist}
Summary:          JBoss Log4j Emulation
License:          ASL 2.0
Url:              https://github.com/jboss-logging/log4j-jboss-logmanager
Source0:          https://github.com/jboss-logging/log4j-jboss-logmanager/archive/%{namedversion}.tar.gz
Source1:          LICENSE

BuildRequires:    jboss-parent
BuildRequires:    jboss-modules
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-logging
BuildRequires:    junit
BuildRequires:    maven-local

%if 0%{?fedora} >= 21
BuildRequires:    log4j12
%else
BuildRequires:    log4j
%endif

BuildArch:        noarch

%description
This package contains the JBoss Log4J Emulation.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n log4j-jboss-logmanager-%{namedversion}

cp %{SOURCE1} .

%pom_remove_plugin :maven-shade-plugin
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'log4j']/pom:version" "12"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Mon Jun 09 2014 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-1
- Upstream release 1.1.0.Final

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.2-1
- Initial packaging


